[help] how to install pygtk

He Jibo hejibo at gmail.com
Sat Apr 12 22:06:55 CEST 2008


Hi, Everyone,

Could someone help me how to install pygtk? I get some problems with
it.

Here is the error I get while install pygtk:
https://netfiles.uiuc.edu/jibohe2/error.GIF?uniq=-k6678k

I use python 2.4, I first installed glade-2.0.1-win32_with_gtk, and
then pycairo-1.0.2-1.win32-py2.4, pygobject-2.12.3-1.win32-py2.4, and
pygtk-2.8.6-1.win32-py2.4. Afterwards, I try to setup pygtk-2.8.4, and
got the above error.

Although I did above operations suggested by the information from the
web , I seems that I still do not have pygtk in my computer. I want to
run cankiri.py (which relies on pygtk), and still get the following
error. cankiri.py is used to record screen video , and could be
downloaded at https://netfiles.uiuc.edu/jibohe2/cankiri.py?uniq=-z4xh4m.
Thank you so much !

Traceback (most recent call last):
  File "E:\Program Files\Python2.4\py2exe code
\cankiri-0.1\cankiri-0.1\cankiri.py", line 20, in -toplevel-
    import gtk, gobject
  File "E:\Program Files\Python2.4\Lib\site-packages\gtk-2.0\gtk
\__init__.py", line 45, in -toplevel-
    from _gtk import *
  File "E:\Program Files\Python2.4\Lib\site-packages\cairo
\__init__.py", line 1, in -toplevel-
    from _cairo import *
ImportError: DLL load failed: The specified procedure could not be
found.



More information about the Python-list mailing list